API Documentation

Complete reference for all available API endpoints with authentication and rate limiting information.

🔐 Authentication Required

Most endpoints require API key authentication. Include your API key in the request headers:

x-api-key: YOUR_API_KEY

⏱️ Rate Limiting

API requests are limited to 100 requests per 15 minutes per IP address. Rate-limited endpoints are marked below.

User Management

GET /api/shopifyUser
Retrieve Shopify user information
curl -X GET "https://api.example.com/api/shopifyUser"
POST /api/shopifyUser
Create or update Shopify user
curl -X POST "https://api.example.com/api/shopifyUser" \
  -H "Content-Type: application/json" \
  -d '{"username": "example", "email": "user@example.com"}'

WhatsApp Integration

GET /api/mobile
Get country codes for mobile numbers
POST /api/whatsApp
Send WhatsApp data
🔐 Auth Required
⏱️ Rate Limited
curl -X POST "https://api.example.com/api/whatsApp" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"message": "Hello", "phone": "+1234567890"}'
GET /api/whatsApp
Retrieve WhatsApp data
🔐 Auth Required
⏱️ Rate Limited
GET /api/whatsAppData
Get all WhatsApp data
GET /api/editWhatsApp/{id}
Get specific WhatsApp data by ID
🔐 Auth Required

Path Parameters:

id string - WhatsApp data ID
PUT /api/updateWhatsApp/{id}
Update WhatsApp data
🔐 Auth Required

Path Parameters:

id string - WhatsApp data ID
DELETE /api/deleteWhatsApp/{id}
Delete WhatsApp data
🔐 Auth Required

Path Parameters:

id string - WhatsApp data ID
GET /api/version
Get API version information

Header Management

POST /api/header
Create header data
🔐 Auth Required
GET /api/header
Get header data
🔐 Auth Required
GET /api/header/{id}
Get specific header data by ID
🔐 Auth Required
PUT /api/header/{id}
Update header data
🔐 Auth Required
DELETE /api/header/{id}
Delete header data
🔐 Auth Required
GET /api/headers
Get all headers data
🔐 Auth Required

Upsell Products

POST /api/addProduct
Add a new upsell product
curl -X POST "https://api.example.com/api/addProduct" \
  -H "Content-Type: application/json" \
  -d '{"name": "Product Name", "price": 29.99, "description": "Product description"}'
POST /api/updateTitle
Update product title
GET /api/getProducts
Get all upsell products
POST /api/deleteProduct
Delete a specific product
POST /api/deleteAllProducts
Delete all upsell products

Customer Reviews

POST /api/addReview
Add a new customer review
curl -X POST "https://api.example.com/api/addReview" \
  -H "Content-Type: application/json" \
  -d '{"rating": 5, "comment": "Great product!", "customerName": "John Doe"}'
GET /api/getallReview/{storeName}
Get all reviews for a specific store

Path Parameters:

storeName string - Name of the store
GET /api/getReview/{storeName}/{productId}
Get reviews for a specific product

Path Parameters:

storeName string - Name of the store
productId string - Product ID
DELETE /api/deleteReview/{id}
Delete a specific review

Path Parameters:

id string - Review ID
GET /api/activeReview
Get all active reviews
PUT /api/updateReview/{id}
Update a specific review

Path Parameters:

id string - Review ID
POST /api/storeReview
Add store review with image uploads (max 5 images)

Form Data:

reviewImages file[] - Review images (max 5)
GET /api/storeReview/{storeName}
Get store reviews

Path Parameters:

storeName string - Name of the store
PUT /api/storeReview/{id}
Update store review

Path Parameters:

id string - Store review ID
DELETE /api/storeReview/{id}
Delete store review

Path Parameters:

id string - Store review ID

Rating Configuration

POST /api/ratingConfig
Add rating configuration
🔐 Auth Required
GET /api/ratingConfig/{storeName}
Get rating configuration for store
🔐 Auth Required
PUT /api/ratingConfig/{id}
Update rating configuration
🔐 Auth Required
DELETE /api/ratingConfig/{id}
Delete rating configuration
🔐 Auth Required

Stock Configuration

POST /api/configuration
Add stock configuration
GET /api/configuration/{shop}
Get configuration for specific shop

Path Parameters:

shop string - Shop identifier
GET /api/configurationFields/{shop}
Get configuration fields for shop

Path Parameters:

shop string - Shop identifier
POST /api/addConfigurationsFields/{shop}
Update configuration fields for shop

Path Parameters:

shop string - Shop identifier
GET /api/configurationColor/{shop}
Get configuration colors for shop

Path Parameters:

shop string - Shop identifier
POST /api/addConfigurationsColor/{shop}
Add configuration colors for shop

Path Parameters:

shop string - Shop identifier

Ice Majesty

GET /api/ice-majesty/showConfig/{shop}
Show Ice Majesty configuration for shop

Path Parameters:

shop string - Shop identifier
POST /api/ice-majesty/addConfig
Add Ice Majesty configuration with custom image upload

Form Data:

customImage file - Custom image file
curl -X POST "https://api.example.com/api/ice-majesty/addConfig" \
  -H "Content-Type: multipart/form-data" \
  -F "customImage=@/path/to/image.jpg" \
  -F "config='{\"setting\": \"value\"}';"

Auto Notify

POST /api/auto-notify/sendMail
Send an email notification

Path Parameters:

to string - Recipient email address
subject string - Email subject
html string - HTML content for the email body

Miscellaneous

GET /api/docs
Access this API documentation page

Response Format

All API responses follow a consistent JSON format:

{
  "success": true,
  "data": {
    // Response data here
  },
  "message": "Success message",
  "timestamp": "2024-01-15T10:30:00Z"
}

Error Response Format

{
  "success": false,
  "error": {
    "code": "ERROR_CODE",
    "message": "Error description"
  },
  "timestamp": "2024-01-15T10:30:00Z"
}

Status Codes

200 OK
Request successful
201 Created
Resource created successfully
400 Bad Request
Invalid request parameters
401 Unauthorized
Invalid or missing API key
403 Forbidden
Access denied
404 Not Found
Resource not found
429 Too Many Requests
Rate limit exceeded
500 Internal Server Error
Server error occurred